Package org.slf4j.impl

# Class StaticMarkerBinder

java.lang.Object
org.slf4j.impl.StaticMarkerBinder

All Implemented Interfaces:
  `org.slf4j.spi.MarkerFactoryBinder`

public class StaticMarkerBinder extends Object implements org.slf4j.spi.MarkerFactoryBinder
The binding of `MarkerFactory` class with an actual instance of `IMarkerFactory` is performed using information returned by this class.

Author:
  Ceki Gülcü

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StaticMarkerBinder`
`SINGLETON`
The unique instance of this class.

## Method Summary

Modifier and Type
Method
Description
`org.slf4j.IMarkerFactory`
`getMarkerFactory()`
Currently this method always returns an instance of `BasicMarkerFactory`.
`String`
`getMarkerFactoryClassStr()`
Currently, this method returns the class name of `BasicMarkerFactory`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SINGLETON

public static final StaticMarkerBinder SINGLETON
The unique instance of this class.

## Method Details

### getMarkerFactory

public org.slf4j.IMarkerFactory getMarkerFactory()
Currently this method always returns an instance of `BasicMarkerFactory`.

Specified by:
  `getMarkerFactory` in interface `org.slf4j.spi.MarkerFactoryBinder`

### getMarkerFactoryClassStr

public String getMarkerFactoryClassStr()
Currently, this method returns the class name of `BasicMarkerFactory`.

Specified by:
  `getMarkerFactoryClassStr` in interface `org.slf4j.spi.MarkerFactoryBinder`